<?
	include 'config.inc';
	include 'template.inc';
	include 'funcs.inc';

	session_start();

	if (isset($HTTP_POST_VARS['final']))
		if ($HTTP_POST_VARS['requester'] == '' || $HTTP_POST_VARS['requester_email'] == '' || !$HTTP_POST_VARS['cd_type']) {
			unset($HTTP_POST_VARS['final']);
			die('You forgot to specify your name, email address, or cd type. Go <a href=\"index.php\">here</a> if you want to try again.<br>');
		}

	if (!isset($HTTP_POST_VARS['final'])) {
		foreach ($found_songs as $album_song => $album_size)
			foreach ($HTTP_POST_VARS as $post_song => $post_size) { 				/* no value set, ignore it */
				$decoded_song = preg_replace('/_mp3/', '.mp3', basename(rawurldecode($post_song)));
				if ($album_song == $decoded_song) {
					if (isset($selected_songs)) 
						$selected_songs = array_merge($selected_songs, array($decoded_song => $post_size));
					else
						$selected_songs = array($decoded_song => $post_size);
				}
			}

		display_submit_songs_page();

	} else {

		if (@count($selected_songs) > 0) {
			display_sent_page();
			if ($debug == 0)
				mail_selections();
			session_destroy();
		} else {
			echo 'You have not selected any songs. Go <a href=\"index.php\">here</a> if you want to try again.<br>';
		}
	}

	function display_submit_songs_page() {

		global $selected_songs, $author, $total_size;

		$album_list = '';
		$total_size = 1;

		$template = new template('.');
		$template->set_file('FileHandle', 'submit_songs.tpl');
		if (isset($selected_songs))
			foreach ($selected_songs as $album_song => $album_size) {
				$encoded = rawurlencode($album_song);
				$album_list .= "<input type=checkbox name=\"$encoded\" value=$album_size> $album_song<br>\n";
				$total_size += $album_size;
			}
		$template->set_var('album_list', $album_list);
		$template->set_var('album_count', count($selected_songs));
		$template->set_var('total_size', humanify($total_size));
		$template->set_var('author', $author);
		$template->parse('Parsed', 'FileHandle');
		$template->p('Parsed');
	}

	function display_sent_page() {

		global $email, $selected_songs, $total_size, $cdr_size, $cost, $days, $cd_type, $tracks_cd;

		if ($cd_type == 'audio')
			$cd_total = ceil(count($selected_songs)/$tracks_cd);
		else
			$cd_total = ceil($total_size/($cdr_size*1000000));

		#echo "total_size: $total_size cdr_size: $cdr_size mult: " . $cdr_size*1000000 . " calculated: " . ceil($total_size/($cdr_size*1000000)) . "<br>";
		$cd_total == 1 ? $cd_total .= ' cd' : $cd_total .= ' cds';

		$total_cost = ($cd_total * $cost);

		requests_inc($cd_total);
		$requests = requests_num();

		$total_days = ceil($requests/$days);
		if ($total_days == 0)
			$total_days = 1;
		$total_days == 1 ? $total_days .= ' day' : $total_days .= ' days';

		$template = new template('.');
		$template->set_file('FileHandle', 'sent.tpl');
		$template->set_var('email', $email);
		$template->set_var('total_albums', count($selected_songs));
		$template->set_var('total_size', humanify($total_size));
		$template->set_var('cd_num', $cd_total);
		$template->set_var('cd_cost', $total_cost);
		$template->set_var('requests', $requests);
		$template->set_var('days', $total_days);
		$template->parse('Parsed', 'FileHandle');
		$template->p('Parsed');
	}

	function mail_selections() {

		global $requester, $requester_email, $cd_type, $email, $selected_songs, $total_size, $cdr_size, $cost, $days, $subject, $tracks_cd;

		$album_list = '';

		if ($cd_type == 'audio')
			$cd_total = ceil(count($selected_songs)/$tracks_cd);
		else
			$cd_total = ceil($total_size/($cdr_size*1000000));

		$total_cost = ($cd_total * $cost);

		$requests = requests_num();
		$total_days = ceil($requests/$days);
		if ($total_days == 0)
			$total_days = 1;
		$total_days == 1 ? $total_days .= ' day' : $total_days .= ' days';

		$template = new template('.');
		$template->set_file('FileHandle', 'email.tpl');
		$template->set_var('requester', $requester);
		$template->set_var('requester_email', $requester_email);
		$template->set_var('cd_type', $cd_type);
		$template->set_var('email', $email);
		$template->set_var('total_albums', count($selected_songs));
		$template->set_var('cd_num', $cd_total);
		$template->set_var('cost', $total_cost);
		$template->set_var('total_size', humanify($total_size));
		foreach ($selected_songs as $album_song => $album_size)
			$album_list .= "$album_song\n";
		$template->set_var('album_list', $album_list);
		$requests = preg_replace('/\n/', '', $requests);
		$template->set_var('requests', $requests);
		$template->set_var('days', $total_days);
		$template->parse('Parsed', 'FileHandle');

		mail("$email", "$subject", $template->get_var('Parsed'), "From: $requester_email");
	}


?>
